Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.servlet.security
Class AuthenticatedServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--weblogic.servlet.security.AuthenticatedServlet

public abstract class AuthenticatedServlet
extends javax.servlet.http.HttpServlet

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected static int` | `AUTHENTICATED`
`protected static int` | `FAILED_AUTHENTICATION`
`protected static int` | `NEEDS_CREDENTIALS`

Constructor Summary
`AuthenticatedServlet()`

Method Summary
`abstract void` | `authenticatedService(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected int` | `getAuthentication()`
`void` | `init(javax.servlet.ServletConfig config)`
`void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTHENTICATED

    protected static final int AUTHENTICATED

### FAILED_AUTHENTICATION

    protected static final int FAILED_AUTHENTICATION

### NEEDS_CREDENTIALS

    protected static final int NEEDS_CREDENTIALS

Constructor Detail

### AuthenticatedServlet

    public AuthenticatedServlet()

Method Detail

### getAuthentication

    protected final int getAuthentication()

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Overrides:
    init in class javax.servlet.GenericServlet

### service

    public void service(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Overrides:
    service in class javax.servlet.http.HttpServlet

### authenticatedService

    public abstract void authenticatedService(javax.servlet.http.HttpServletRequest request,
                                              javax.servlet.http.HttpServletResponse response)
                                       throws javax.servlet.ServletException,
                                              java.io.IOException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD